#include "memory/Paging.h"

#pragma GCC push_options
#pragma GCC diagnostic ignored "-Wconversion"

void PageDirectoryEntry::set_address(uint64_t addr)
{
    this->address = (addr >> 12);
}

uint64_t PageDirectoryEntry::get_address()
{
    return (uint64_t)this->address << 12;
}

#pragma GCC pop_options